Index: lib/index.jsp
===================================================================
--- lib/index.jsp	(revision 4079)
+++ lib/index.jsp	(revision 4080)
@@ -1,6 +1,6 @@
-<%@ page    language="java" %>
-<% 
-/**
+<%@ page    language="java" import="edu.ucsb.nceas.metacat.util.MetaCatUtil" %>
+<%
+	/**
  *  '$RCSfile$'
  *    Copyright: 2000 Regents of the University of California and the
  *               National Center for Ecological Analysis and Synthesis
@@ -43,14 +43,21 @@
  
 String qformat     = request.getParameter("qformat");
 String addedParams = "";
+String redirectURI = "";
 
-//if qformat has not been set, set its value to "DEFAULT_STYLE"
-if (qformat==null) {
-  qformat = DEFAULT_STYLE;
-  addedParams = "?qformat="+qformat;
+if (MetaCatUtil.isMetacatConfigured()) {
+    //if qformat has not been set, set its value to "DEFAULT_STYLE"
+    if (qformat==null) {
+      qformat = DEFAULT_STYLE;
+      addedParams = "?qformat="+qformat;
+    }
+    redirectURI = "/style/skins/"+qformat+"/"+addedParams;
+} else {
+    redirectURI = "/metacat";
 }
 
-String redirectURI = "/style/skins/"+qformat+"/"+addedParams;
+
+
 %>
 
 <jsp:forward page="<%= redirectURI %>" />
Index: lib/web.xml.tomcat5
===================================================================
--- lib/web.xml.tomcat5	(revision 4079)
+++ lib/web.xml.tomcat5	(revision 4080)
@@ -154,6 +154,20 @@
       <load-on-startup>2</load-on-startup>
     </servlet>
     
+    <servlet>
+      <servlet-name>MetaCatAdmin</servlet-name>
+      <servlet-class>edu.ucsb.nceas.metacat.admin.MetaCatAdminServlet</servlet-class>
+      <init-param>
+        <param-name>debug</param-name>
+        <param-value>1</param-value>
+      </init-param>
+      <init-param>
+        <param-name>listings</param-name>
+        <param-value>true</param-value>
+      </init-param>
+      <load-on-startup>3</load-on-startup>
+    </servlet>
+    
      <servlet>
       <servlet-name>replication</servlet-name>
       <servlet-class>edu.ucsb.nceas.metacat.MetacatReplication</servlet-class>
@@ -216,8 +230,8 @@
       </init-param>
       <load-on-startup>3</load-on-startup>
     </servlet>
-    -->    
-
+    -->
+    
 <servlet>
       <servlet-name>AxisServlet</servlet-name>
       <display-name>Apache-Axis Servlet</display-name>
@@ -268,6 +282,19 @@
         <servlet-name>metacat</servlet-name>
         <url-pattern>/servlet/metacat</url-pattern>
     </servlet-mapping>
+
+        
+    <servlet-mapping>
+        <servlet-name>MetaCatAdmin</servlet-name>
+        <url-pattern>/admin</url-pattern>
+    </servlet-mapping>
+
+ <!--   
+    <servlet-mapping>
+        <servlet-name>MetaCatAdmin</servlet-name>
+        <url-pattern>/admin/*</url-pattern>
+    </servlet-mapping>
+-->
     
     <servlet-mapping>
         <servlet-name>replication</servlet-name>
Index: lib/admin/ldap-configuration.jsp
===================================================================
--- lib/admin/ldap-configuration.jsp	(nonexistent)
+++ lib/admin/ldap-configuration.jsp	(revision 4080)
@@ -0,0 +1,171 @@
+<%@ page language="java" import="java.util.Set,java.util.Map,java.util.Vector" %>
+<%@ page language="java" import="edu.ucsb.nceas.utilities.*" %>
+<%
+	/**
+ *  '$RCSfile$'
+ *    Copyright: 2008 Regents of the University of California and the
+ *               National Center for Ecological Analysis and Synthesis
+ *  For Details: http://www.nceas.ucsb.edu/
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+%>
+
+<%
+	PropertiesMetaData propMetadata =
+		(PropertiesMetaData)request.getAttribute("metadata");
+ 	Vector<String> ldapOrganizations = 
+ 		(Vector<String>)request.getAttribute("orgList"); 
+	Map<Integer, MetaDataGroup> groupMap = 
+		(Map<Integer, MetaDataGroup>)request.getAttribute("groupMap"); 
+%>
+
+<html>
+<head>
+
+<title>LDAP Configuration</title>
+<link rel="stylesheet" type="text/css" 
+        href="<%= request.getContextPath() %>/admin/admin.css"></link>
+<script language="JavaScript" type="text/JavaScript" src="<%= request.getContextPath() %>/admin/admin.js"></script>
+<script language="JavaScript" type="text/JavaScript" src="<%= request.getContextPath() %>/help/help.js"></script>
+
+</head>
+<body>
+<img src="<%= request.getContextPath() %>/metacat-logo.png" width="100px" align="right"/> 
+<h2>LDAP Configuration</h2>
+Enter authentication service properties here. 
+<br class="ldap-header">
+
+<%@ include file="./page-message-section.jsp"%>
+
+
+<form method="POST" name="configuration_form" action="<%= request.getContextPath() %>/admin" 
+                                        onsubmit="return submitForm(this);">
+<%
+	Map<Integer, MetaDataProperty> globalPropertiesMap = propMetadata.getPropertiesInGroup(1);
+	MetaDataGroup globalGroup = groupMap.get(new Integer(1));
+%>
+  <h3><%=globalGroup.getName()%></h3> 
+  <hr class=config>
+<%
+ 	if (globalGroup.getComment() != null) {
+%>
+  <div class="heading-comment"><%=globalGroup.getComment()%></div><br>
+<%
+	}
+%>
+<br>
+<table class="config-section">
+<%
+	Set<Integer> globalIdSet = globalPropertiesMap.keySet();
+	for (Integer globalId : globalIdSet) {
+		MetaDataProperty globalProperty = globalPropertiesMap.get(globalId);
+%>
+	<tr>
+		<td class="config-property-label">
+			<label for="<%= globalProperty.getKey() %>" title="<%= globalProperty.getDescription() %>"><%=globalProperty.getLabel()%></label>
+		</td>	
+		<td class="config-property-input" >	
+			<input id="<%= globalProperty.getKey() %>" name="<%= globalProperty.getKey() %>" 
+				value="<%= request.getAttribute(globalProperty.getKey()) %>"             		    	    	           		    	             			
+				type="text"           			
+				alt="LDAP server URL"/>	   
+		</td>
+		<td class="config-question-mark">        		    
+			<img src="style/images/question-mark.gif" onClick="helpWindow('<%= request.getContextPath() %>', '<%= globalProperty.getHelpFile() %>')"/><br/>
+		</td>
+	</tr>
+<%
+	}
+    Map<Integer, MetaDataProperty> orgPropertyMap = propMetadata.getPropertiesInGroup(2);
+    MetaDataGroup orgGroup = groupMap.get(new Integer(2));
+    Set<Integer> orgIdSet = orgPropertyMap.keySet();
+%>
+	</table>
+	<h3><%=orgGroup.getName()%></h3> 
+    <hr class=config>
+<%
+ 	if (orgGroup.getComment() != null) {
+%>
+  <div class="heading-comment"><%= orgGroup.getComment() %></div>
+<%
+ 	}
+%>
+<br>
+<%
+	for (String orgName : ldapOrganizations) {
+%>
+<table class="config-section">
+	<tr>
+		<td class="config-checkbox">
+	  		<input class="org" type="checkbox" name="<%= orgName %>.cb" onClick="toggleHiddenTable(this, 'hiding-section-<%= orgName %>')"/>
+	  	</td>
+	  	<td class="config-checkbox-label">	
+			<label for="<%= orgName %>.cb"><%=orgName%></label>
+		</td> 
+		<td class="config-question-mark">
+			<img src="style/images/question-mark.gif"
+					alt="blah"
+					title="blah"/>
+		</td>
+	</tr>
+</table>
+<table class="config-section-hiding" id="hiding-section-<%= orgName %>">  
+<%
+	  	for (Integer orgId : orgIdSet) {
+	  	MetaDataProperty orgProperty = orgPropertyMap.get(orgId);
+	  	String orgKeyName = orgProperty.getKey() + "." + orgName;
+%>		
+	<tr>
+		<td class="config-property-label" >	
+	    	<label for="<%= orgKeyName %>" title="<%= orgProperty.getDescription() %>"><%= orgProperty.getLabel() %></label>
+     	</td>	
+     	<td class="config-property-input" >
+			<input name="<%= orgKeyName %>" 
+				value="<%= request.getAttribute(orgKeyName) %>"	  
+<% 
+			if (orgProperty.getFieldType().equals("password")) { 
+%>           		    	    	           		    	             			
+	           	type="password"       
+<%
+	  		}
+%>    			
+	           alt="List of administrators for this installation in LDAP DN syntax (colon separated)"/>	           		    
+		</td>
+		<td class="config-question-mark">
+			<img src="style/images/question-mark.gif" onClick="helpWindow('<%= request.getContextPath() %>', '<%= orgProperty.getHelpFile() %>')"/>
+		</td>
+	</tr>	  
+<%
+	  	}
+%>
+      </table>
+<%
+	}
+%>
+
+  <input type="hidden" name="configureType" value="ldap"/>
+  <input type="hidden" name="processForm" value="true"/>
+  <input class="left-button" type="submit" value="Save"/>
+  <input class="button" type="button" value="Cancel" onClick="forward('./admin')"> 
+
+</form>
+
+</body>
+</html>

Index: lib/admin/admin.js
===================================================================
--- lib/admin/admin.js	(nonexistent)
+++ lib/admin/admin.js	(revision 4080)
@@ -0,0 +1,98 @@
+ /*
+  *   '$RCSfile$'
+  *     Purpose: Default style sheet for admin web pages 
+  *   Copyright: 2008 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *     Authors: Matt Jones
+  *
+  *    '$Author$'
+  *      '$Date$'
+  *  '$Revision$'
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+  */
+
+function validateForm(form_ref) {
+    j = form_ref.length
+    for (i = 0; i < j; i++) {
+        if (form_ref.elements[i].value == "") {
+            alert("All form fields must be populated");
+            return false;
+        }
+    }
+    return true;
+}
+
+function submitForm(action,form_ref) {
+	form_ref.action.value=action;
+	form_ref.sessionId.value=<xsl:value-of select="$sessid" />;
+	form_ref.submit();
+}
+
+function validataAndSubmitForm(action,form_ref) {
+	form_ref.action.value=action;
+	form_ref.sessionId.value=<xsl:value-of select="$sessid" />;
+	validateForm(form_ref)
+	form_ref.submit();
+}
+
+function forward(location) {
+	window.location = location;
+}
+
+function toggleHiddenRow(thisObj, id) {
+	if (thisObj.checked) {
+		showRow(id);
+	} else {
+		hideObject(id);
+	}
+}
+
+function toggleHiddenInline(thisObj, id) {
+	if (thisObj.checked) {
+		showInline(id);
+	} else {
+		hideObject(id);
+	}
+}
+
+function toggleHiddenTable(thisObj, id) {
+	if (thisObj.checked) {
+		showSection(id);
+	} else {
+		hideObject(id);
+	}
+}
+
+function hideObject(objectID) 
+{ 
+	document.getElementById(objectID).style.display = 'none'; 
+} 
+
+function showRow(objectID) 
+{ 
+	document.getElementById(objectID).style.display = 'table-row'; 
+} 
+
+function showInline(objectID)
+{
+        document.getElementById(objectID).style.display = 'inline';
+}
+
+function showSection(objectID) 
+{ 
+	document.getElementById(objectID).style.display = 'table'; 
+} 
+

Index: lib/admin/skins-configuration.jsp
===================================================================
--- lib/admin/skins-configuration.jsp	(nonexistent)
+++ lib/admin/skins-configuration.jsp	(revision 4080)
@@ -0,0 +1,207 @@
+<%@ page language="java" %>
+<%@ page import="java.util.Set,java.util.HashMap,java.util.Map,java.util.SortedMap,java.util.Vector" %>
+<%@ page import="edu.ucsb.nceas.utilities.PropertiesMetaData" %>
+<%@ page import="edu.ucsb.nceas.utilities.MetaDataGroup,edu.ucsb.nceas.utilities.MetaDataProperty" %>
+<% 
+/**
+ *  '$RCSfile$'
+ *    Copyright: 2008 Regents of the University of California and the
+ *               National Center for Ecological Analysis and Synthesis
+ *  For Details: http://www.nceas.ucsb.edu/
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+%>
+
+<%
+ 	Vector<String> skinNames = (Vector<String>)request.getAttribute("skinNameList"); 
+	String defaultStyle = (String)request.getAttribute("defaultStyle");
+%>
+
+<html>
+<head>
+
+<title>Skins Configuration</title>
+<link rel="stylesheet" type="text/css" 
+        href="<%= request.getContextPath() %>/admin/admin.css"></link>
+<script language="JavaScript" type="text/JavaScript" src="<%= request.getContextPath() %>/admin/admin.js"></script>
+<script language="JavaScript" type="text/JavaScript" src="<%= request.getContextPath() %>/help/help.js"></script>
+
+
+</head>
+<body>
+<img src="<%= request.getContextPath() %>/metacat-logo.png" width="100px" align="right"/> 
+<h2>Skins Configuration</h2>
+
+<br class="skins-header">
+
+<%@ include file="./page-message-section.jsp"%>
+
+<form method="POST" name="configuration_form" action="<%= request.getContextPath() %>/admin" 
+                                        onsubmit="return validate_form();">
+
+
+<h3>Skins Configuration</h3>
+<hr class=config>
+<div class="heading-comment">
+	Choose and configure the skins that will be available in this instance of MetaCat
+</div><br>
+
+<%
+	HashMap<String, HashMap<String, String>> allSkinProperties = 
+		(HashMap<String, HashMap<String, String>>)request.getAttribute("skinProperties");
+	HashMap<String, PropertiesMetaData> allMetaData = 
+		(HashMap<String, PropertiesMetaData>)request.getAttribute("metadataMap");
+
+	for (String skinName : skinNames) {
+%>
+	<table class="config-section">
+		<tr>
+			<td class="config-checkbox">
+				<input type="checkbox" name="<%= skinName %>.cb" id="<%= skinName %>.cb"onClick="toggleHiddenTable(this, 'hiding-section-<%= skinName %>')"/>
+			</td>
+			<td class="config-checkbox-label">	
+				<label for="<%= skinName %>.cb %>"><%= skinName %></label>
+<%
+		if (skinName.equals(defaultStyle)) {
+%>		
+				<div style="display: inline;" id="hiding-default-<%= skinName %>"> (default)<div>	
+<%
+		} else {
+%>		
+				<div style="display: none;" id="hiding-default-<%= skinName %>"> (default)<div>	
+<%
+		} 
+%>
+			</td> 
+			<td class="config-question-mark">
+				<img src="style/images/question-mark.gif"
+						alt="blah"
+						title="blah"/>
+			</td>
+		</tr>
+	</table>
+	<table class="config-section-hiding" id="hiding-section-<%= skinName %>">
+<%
+		HashMap<String, String> skinProperties = allSkinProperties.get(skinName);
+		PropertiesMetaData metaData = (PropertiesMetaData)allMetaData.get(skinName);
+		Map<Integer, MetaDataGroup> metaDataGroups = metaData.getGroups();
+		Set<Integer> groupKeys = metaDataGroups.keySet();
+		for (Integer groupkey : groupKeys) {
+			SortedMap<Integer, MetaDataProperty> propertyMap = metaData.getPropertiesInGroup(groupkey);
+			Set<Integer> propertyKeys = propertyMap.keySet();
+%>
+			<tr>
+				<td class="config-property-label" >
+					<label for="<%= skinName %>-radio"> Make <%= skinName %> default </label>
+				</td>
+				<td class="config-property-input" >
+					<input type="radio" name="default-flag" id="<%= skinName %>-radio" value="<%= skinName %>" onChange="toggleHiddenInline(this, 'hiding-default-<%= skinName %>')"/>
+				</td>
+				<td class="config-question-mark">
+					<img src="style/images/question-mark.gif" 
+							alt="boffo" 
+							title="biffo"/><br>
+				</td>
+			</tr>
+<%
+			for (Integer propertyKey : propertyKeys) {
+%>		
+			<tr>	
+<%		
+				MetaDataProperty metaDataProperty = propertyMap.get(propertyKey);							
+				String fieldType = metaDataProperty.getFieldType(); 
+				if (fieldType.equals("select")) {
+%> 
+				<td class="config-property-label">
+					<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>  
+				</td>
+				<td class="config-property-input"> 			
+					<select name="<%= metaDataProperty.getKey() %>">
+<%
+					Vector<String> fieldOptions = metaDataProperty.getFieldOptions();
+					for (String optionName : fieldOptions) {
+%>
+						<option value="<%= optionName %>"> <%= optionName %>
+<%
+					}
+%>
+					</select>
+				</td>
+				<td class="config-question-mark"> 
+					<img src="style/images/question-mark.gif" 
+							alt="<%= metaDataProperty.getDescription() %>" 
+							title="<%= metaDataProperty.getDescription() %>"/><br/>
+				</td>
+
+<%		
+				} else if (fieldType.equals("password")) {
+%>
+				<td class="config-property-label">
+					<label  for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
+				</td>
+				<td class="config-property-input"> 
+					<input id="<%= metaDataProperty.getKey() %>" name="<%= metaDataProperty.getKey() %>" 	             		    	    	           		    	             			
+							type="<%= fieldType %>"
+							alt="<%= metaDataProperty.getDescription() %>"/> 
+				</td>
+				<td class="config-question-mark"> 
+					<img src="style/images/question-mark.gif" 
+							alt="<%= metaDataProperty.getDescription() %>" 
+							title="<%= metaDataProperty.getDescription() %>"/><br/>
+				</td>
+<%		
+				} else {
+%>
+				<td class="config-property-label">
+					<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
+				</td>
+				<td class="config-property-input"> 
+					<input id="<%= metaDataProperty.getKey() %>" name="<%= metaDataProperty.getKey() %>" 
+							value="<%= skinProperties.get(metaDataProperty.getKey()) %>"	             		    	    	           		    	             			
+							type="<%= fieldType %>	"           			
+							alt="<%= metaDataProperty.getDescription() %>"/>	           		    
+				</td>
+				<td class="config-question-mark"> 
+					<img src="style/images/question-mark.gif" onClick="helpWindow('ldap_url_help.html')"/><br/>
+				</td>
+<%   			
+				}					
+			}	
+%>
+			</tr>
+<%
+		}
+
+%>
+
+	</table>
+<%
+	}
+%>
+	<input type="hidden" name="configureType" value="skins"/>
+	<input type="hidden" name="processForm" value="true"/>
+	<br>
+	<input class="left-button" type="submit" value="Save"/>
+	<input class="button" type="button" value="Cancel" onClick="forward('./admin')"> 
+
+</form>
+
+</body>
+</html>

Index: lib/admin/properties-configuration.jsp
===================================================================
--- lib/admin/properties-configuration.jsp	(nonexistent)
+++ lib/admin/properties-configuration.jsp	(revision 4080)
@@ -0,0 +1,152 @@
+<%@ page language="java" import="java.util.Collection,java.util.Set,java.util.TreeSet,java.util.Map,java.util.Vector" %>
+<%@ page language="java" import="edu.ucsb.nceas.utilities.PropertiesMetaData,edu.ucsb.nceas.utilities.MetaDataGroup,edu.ucsb.nceas.utilities.MetaDataProperty" %>
+<% 
+/**
+ *  '$RCSfile$'
+ *    Copyright: 2008 Regents of the University of California and the
+ *               National Center for Ecological Analysis and Synthesis
+ *  For Details: http://www.nceas.ucsb.edu/
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+%>
+
+<html>
+<head>
+
+<title>Metacat Properties Configuration</title>
+<link rel="stylesheet" type="text/css" 
+        href="<%= request.getContextPath() %>/admin/admin.css"></link>
+<script language="JavaScript" type="text/JavaScript" src="<%= request.getContextPath() %>/admin/admin.js"></script>
+
+</head>
+<body>
+<img src="<%= request.getContextPath() %>/metacat-logo.png" width="100px" align="right"/> 
+<h2>MetaCat Properties Configuration</h2>
+
+<p>Enter MetaCat System properties here.  All Fields must be filled in before saving.
+</p>
+<br clear="right"/>
+
+<%@ include file="page-message-section.jsp"%>
+
+<form method="POST" name="configuration_form" action="<%= request.getContextPath() %>/admin" 
+                                        onsubmit="return submitForm(this);">
+<% 
+	// metadata holds all group and properties metadata
+    PropertiesMetaData metadata = (PropertiesMetaData)request.getAttribute("metadata");
+	if (metadata != null) {
+		// each group describes a section of properties
+		Map<Integer, MetaDataGroup> groupMap = metadata.getGroups();
+		Set<Integer> groupIdSet = groupMap.keySet();
+		for (Integer groupId : groupIdSet) {
+			// for this group, display the header (group name)
+			MetaDataGroup metaDataGroup = (MetaDataGroup)groupMap.get(groupId);
+%>
+			<p class="section"><%= metaDataGroup.getName()  %></p>
+			<table class="config-section">
+<%
+			// get all the properties in this group
+			Map<Integer, MetaDataProperty> propertyMap = 
+				metadata.getPropertiesInGroup(metaDataGroup.getIndex());
+			Set<Integer> propertyIndexes = propertyMap.keySet();
+			// iterate through each property and display appropriately
+			for (Integer propertyIndex : propertyIndexes) {
+				MetaDataProperty metaDataProperty = propertyMap.get(propertyIndex);
+    			String fieldType = metaDataProperty.getFieldType(); 
+    			if (fieldType.equals("select")) {
+%> 
+			<tr>
+				<td class="config-property-label">
+     				<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>   
+     			</td>	
+     			<td class="config-property-input" >		
+					<select name="<%= metaDataProperty.getKey() %>">
+<%
+					Vector<String> fieldOptions = metaDataProperty.getFieldOptions();
+					for (String optionName : fieldOptions) {
+%>
+					<option value="<%= optionName %>"> <%= optionName %>
+<%
+				}
+%>
+					</select>
+				</td>
+				<td class="config-question-mark">
+					<img src="style/images/question-mark.gif" 
+	           		       alt="<%= metaDataProperty.getDescription() %>" 
+	           		       title="<%= metaDataProperty.getDescription() %>"/>
+				</td>
+			</tr>
+
+<%		
+				} else if (fieldType.equals("password")) {
+%>
+			<tr>
+				<td class="config-property-label">
+					<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
+     			</td>	
+     			<td class="config-property-input" >	
+					<input id="<%= metaDataProperty.getKey() %>" name="<%= metaDataProperty.getKey() %>" 	             		    	    	           		    	             			
+	           		    	type="<%= fieldType %>"
+	           		    	alt="<%= metaDataProperty.getDescription() %>"/> 
+				</td>
+				<td class="config-question-mark">
+					<img src="style/images/question-mark.gif" 
+	           		       alt="<%= metaDataProperty.getDescription() %>" 
+	           		       title="<%= metaDataProperty.getDescription() %>"/>
+				</td>
+			</tr>
+<%		
+				} else {
+%>
+			<tr>
+				<td class="config-property-label">
+					<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
+     			</td>	
+     			<td class="config-property-input" >							
+					<input id="<%= metaDataProperty.getKey() %>" name="<%= metaDataProperty.getKey() %>" 
+	    			        value="<%= request.getAttribute(metaDataProperty.getKey()) %>"	             		    	    	           		    	             			
+	           		    	type="<%= fieldType %>	"           			
+	           		    	alt="<%= metaDataProperty.getDescription() %>"/>	
+	           	</td>
+				<td class="config-question-mark">           		    
+					<img class=question-mark src="style/images/question-mark.gif" onClick="helpWindow('ldap_url_help.html')"/>
+				</td>
+ 
+<%   			
+				}
+			}
+%>
+
+			</table>
+<%
+		}
+	}
+%>
+
+			<input type="hidden" name="configureType" value="properties"/>
+			<input type="hidden" name="processForm" value="true"/>
+			<input class=left-button type="submit" value="Save"/>
+			<input class=button type="button" value="Cancel" onClick="forward('./admin')"> 
+
+</form>
+
+</body>
+</html>

Index: lib/style/skins/sanparks/SaeonLogin.jspx
===================================================================
--- lib/style/skins/sanparks/SaeonLogin.jspx	(revision 4079)
+++ lib/style/skins/sanparks/SaeonLogin.jspx	(revision 4080)
@@ -22,7 +22,7 @@
 	<jsp:element name="script">
 		<jsp:attribute name="language">JavaScript</jsp:attribute>
 		<jsp:attribute name="src">
-			<jsp:expression>SERVER_URL_WITH_CONTEXT + "/style/skins/sanparks/searchPathQuery.js"</jsp:expression>
+			<jsp:expression>CONTEXT_URL + "/style/skins/sanparks/searchPathQuery.js"</jsp:expression>
 		</jsp:attribute>
 	</jsp:element>
 	<script type="text/javascript">
@@ -63,7 +63,7 @@
 		<jsp:attribute name="rel">stylesheet</jsp:attribute>
 		<jsp:attribute name="type">text/css</jsp:attribute>
 		<jsp:attribute name="href">
-			<jsp:expression>SERVER_URL_WITH_CONTEXT + "/style/skins/sanparks/sanparks.css"</jsp:expression>
+			<jsp:expression>CONTEXT_URL + "/style/skins/sanparks/sanparks.css"</jsp:expression>
 		</jsp:attribute>
 	</jsp:element>
 </head>
@@ -338,7 +338,7 @@
 				<jsp:element name="form">
 					<jsp:attribute name="method">post</jsp:attribute>
 					<jsp:attribute name="action">
-						<jsp:expression>SERVER_URL_WITH_CONTEXT + "/style/skins/sanparks/upload.jsp"</jsp:expression>
+						<jsp:expression>CONTEXT_URL + "/style/skins/sanparks/upload.jsp"</jsp:expression>
 					</jsp:attribute>
 					<input type="submit" value="Go >" class="button_login" />
 				</jsp:element>
@@ -373,7 +373,7 @@
 	
 		<!-- map frame -->
         <script language="JavaScript">
-            insertMap("<jsp:expression>SERVER_URL_WITH_CONTEXT</jsp:expression>");
+            insertMap("<jsp:expression>CONTEXT_URL</jsp:expression>");
         </script>
 	</td>
 	
